#ifndef ANSOCSORTTRACK_H
#define ANSOCSORTTRACK_H

#include "ANSMOT.h"
#include "OCSort.h"
namespace ANSCENTER {
    class ANSMOT_API ANSOCSortTrack :public ANSMOT
    {
    private:
        ANSOCSort::OCSort tracker;
    public:
        ANSOCSortTrack();
        ~ANSOCSortTrack();
        [[nodiscard]] bool UpdateParameters(const std::string& trackerParameters) override;
        [[nodiscard]] std::string Update(int modelId, const std::string& detectionData) override;
        [[nodiscard]] std::vector<TrackerObject> UpdateTracker(int modelId, const std::vector<TrackerObject>& detectionObjects) override;
        [[nodiscard]] bool Destroy() override;
    };
}
#endif 
